nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   2.6 installer for Version: 1.0-5336 (http://www.nvnews.net/vbulletin/showthread.php?t=28132)

redfrog 05-02-04 10:21 AM

2.6 installer for Version: 1.0-5336
 
G'Day all,

Having some issue using the installer for linux kernel 2.6 anyone know where I can get an installer for 2.6 and Version: 1.0-5336? Would be appreciated. At this time the installer is B0rken for me..

Suggestions, links, advice, anything you can do to help is appreciated.

Here is the current log file:

http://www.arklinux.info/ark.docs/nv.log.txt

Kind regards,
redfrog

SuLinUX 05-02-04 03:34 PM

Re: 2.6 installer for Version: 1.0-5336
 
Read what the nvidia readme says about gcc, it's not broken your just using a gcc that the nvidia installer dont know.

zander 05-03-04 04:15 AM

Re: 2.6 installer for Version: 1.0-5336
 
The version check is not a function of the gcc versions the installer does or doesn't know about, it's a function of which compiler was used to build the kernel (i.e. the compiler listed in /proc/version vs. cc -v). Note that the NVIDIA cc version check is more forgiving than Linux 2.6's module version magic mechanism is, which requires that the exact same version of gcc be used for loadable modules, rather than a version considered compatible by the NVIDIA driver; modules failing the kernel's test are rejected by the loader.

hppnq 05-04-04 08:27 AM

Re: 2.6 installer for Version: 1.0-5336
 
I think the problem might be that you have no cc. You can check this by typing 'which cc' at the prompt. If it returns with a complaint that cc could not be found, you can easily fix this by making it a link to gcc; on my system, I would do 'ln -s /usr/bin/gcc /usr/bin/cc'. (An alternative is to set the CC environment variable to point to gcc, but the former solution might prevent future problems, since some packages depend on its existence.)

zander 05-04-04 11:16 AM

Re: 2.6 installer for Version: 1.0-5336
 
The most common reason for the failure is the absence of /lib/modules/$(uname -r)/build/include/linux/version.h (kernel source not installed or configured, ...).


All times are GMT -5. The time now is 11:44 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.